onEvent('recipes', event => {

    const id_prefix = 'createaddition:kubejs/rolling';

    const recipes = [
        
    ];

    metals.forEach((metal) => {
        
        const ingot = itemOf(`#forge:ingots/${metal}`);
        const rod = itemOf(`#forge:rods/${metal}`);
        const plate = itemOf(`#forge:plates/${metal}`);
        const wire = itemOf(`#forge:wires/${metal}`);

        if(rod!=null){
            event.custom({
                type: 'createaddition:rolling',
                input: Item.of(ingot).toJson(),
                result: Item.of(rod,2).toResultJson()
            }).id(`${id_prefix}/${metal}_rod`);
        }
        if(plate!=null && wire!=null){
            event.custom({
                type: 'createaddition:rolling',
                input: Item.of(plate).toJson(),
                result: Item.of(wire,2).toResultJson()
            }).id(`${id_prefix}/${metal}_wire`);
        }
    });

    gems.concat(cgems).forEach((metal) => {
        
        const ingot = itemOf(`#forge:gems/${metal}`);
        const rod = itemOf(`#forge:rods/${metal}`);

        if(rod!=null){
            event.custom({
                type: 'createaddition:rolling',
                input: Item.of(ingot).toJson(),
                result: Item.of(rod,2).toResultJson()
            }).id(`${id_prefix}/${metal}_rod`);
        }
    });

    recipes.forEach((recipe) => {
        event.custom({
            type: 'createaddition:rolling',
            input: { item: recipe.ingredient },
            result: Item.of(recipe.result).toResultJson()
        }).id(`${id_prefix}/${recipe.id}`);
    })

})